# OpenLayers.Popup.AnchoredBubble

#### Inherits from

- OpenLayers.Popup.Anchored

Summary

OpenLayers.Popup.AnchoredBubble |
Constructor |
OpenLayers.Popup.AnchoredBubble |
Functions |
setSize |
setBackgroundColor |
setOpacity |
Constants |
CORNER_SIZE | {Integer} 5.

### Constructor

### OpenLayers.Popup.AnchoredBubble

#### Parameters

id | {String}
lonlat | {OpenLayers.LonLat}
contentSize | {OpenLayers.Size}
contentHTML | {String}
anchor | {Object} Object to which we’ll anchor the popup. Must expose a ‘size’ (OpenLayers.Size) and ‘offset’ (OpenLayers.Pixel) (Note that this is generally an OpenLayers.Icon).
closeBox | {Boolean}
closeBoxCallback | {Function} Function to be called on closeBox click.

### Functions

### setSize

> setSize:function( | contentSize | )

#### Parameters

contentSize | {OpenLayers.Size} the new size for the popup’s contents div (in pixels).

### setBackgroundColor

> setBackgroundColor:function( | color | )

#### Parameters

color | {String}

### setOpacity

> setOpacity:function( | opacity | )

#### Parameters

opacity | {float}

### Constants

### CORNER_SIZE

{Integer} 5. Border space for the RICO corners.

> setSize:function( | contentSize | )

> setBackgroundColor:function( | color | )

> setOpacity:function( | opacity | )

This class represents a longitude and latitude pair
Instances of this class represent a width/height pair
This class represents a screen coordinate, in x and y coordinates
The icon represents a graphical icon on the screen.
Close